Package twisted :: Package internet :: Module interfaces :: Class IUDPTransport

[show private | hide private]
[frames | no frames]

## Class IUDPTransport

    Interface --+
                |
               IUDPTransport

Transport for UDP PacketProtocols.

Method Summary
| ``getHost`(self)` Return ('INET_UDP', interface, port) we are listening on.
| ``write`(self, packet, (host,` Write packet to given address.

Method Details

### getHost(self)

Return ('INET_UDP', interface, port) we are listening on.

### write(self, packet, (host,

Write packet to given address.

Might raise error.ConnectionRefusedError.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:05 2003 | http://epydoc.sf.net